{ lib,... }:
with lib; {
    ble.enable = mkOption { type = types.bool; default = false; };
    wlp = {
        enable = mkOption { type = types.bool; default = false; };
        nif = mkOption { type = types.str; default = ""; };
    };
    wg = {
        enable = mkOption { type = types.bool; default = false; };
        ip4 = mkOption { type = types.str; default = ""; };
        ip6 = mkOption { type = types.str; default = ""; };
        pubkey = mkOption { type = types.str; default = ""; };
    };
}